Debian Bug report logs - #596987
python-numpy: libnpymath.a is built but not installed.

version graph

Package: python-numpy; Maintainer for python-numpy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-numpy is src:python-numpy.

Reported by: Martin Hoefling <martin.hoefling@gmx.de>

Date: Wed, 15 Sep 2010 18:09:02 UTC

Severity: normal

Found in version 1:1.4.1-2ubuntu2

Fixed in version python-numpy/1:1.5.1-1

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#596987; Package python-numpy. (Wed, 15 Sep 2010 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Hoefling <martin.hoefling@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 15 Sep 2010 18:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Hoefling <martin.hoefling@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-numpy: libnpymath.a is built but not installed.
Date: Wed, 15 Sep 2010 19:59:39 +0200
Package: python-numpy
Version: 1:1.4.1-2ubuntu2
Severity: normal


libnpymath.a is built but not installed. This prevents e.g. building of scipy 0.8.0


-- System Information:
Debian Release: squeeze/sid
  APT prefers lucid-updates
  APT policy: (500, 'lucid-updates'), (500, 'lucid-security'), (500, 'lucid-backports'), (500, 'lucid')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-24-generic (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-numpy depends on:
ii  libblas3gf [libblas.so 1.2-2build1       Basic Linear Algebra Subroutines 3
ii  libc6                  2.11.1-0ubuntu7.2 Embedded GNU C Library: Shared lib
ii  libgcc1                1:4.4.3-4ubuntu5  GCC support library
ii  libgfortran3           4.4.3-4ubuntu5    Runtime library for GNU Fortran ap
ii  liblapack3gf [liblapac 3.2.1-2           library of linear algebra routines
ii  python                 2.6.5-0ubuntu1    An interactive high-level object-o
ii  python-support         1.0.4ubuntu1      automated rebuilding support for P

python-numpy recommends no packages.

Versions of packages python-numpy suggests:
ii  gfortran                4:4.4.3-1ubuntu1 The GNU Fortran 95 compiler
ii  python-dev              2.6.5-0ubuntu1   Header files and a static library 
pn  python-nose             <none>           (no description available)
ii  python-numpy-dbg        1:1.4.1-2ubuntu2 Fast array facility to the Python 
ii  python-numpy-doc        1:1.4.1-2ubuntu2 NumPy documentation

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#596987; Package python-numpy. (Tue, 26 Oct 2010 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Varun Hiremath <varun@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 26 Oct 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 596987@bugs.debian.org (full text, mbox):

From: Varun Hiremath <varun@debian.org>
To: Luca Falavigna <dktrkranz@debian.org>, Sameer Morar <smorar@gmail.com>
Cc: 596987@bugs.debian.org
Subject: Re: python-scipy packaging
Date: Tue, 26 Oct 2010 12:00:52 -0400
Hi Luca and Sameer,

On Tue, Oct 26, 2010 at 11:49 AM, Luca Falavigna <dktrkranz@debian.org> wrote:
> Il 26/10/2010 12.18, Sameer Morar ha scritto:
>> I am investigating the merging of the current version of python-scipy
>> (0.7.2+dfsg1-1) in debian with the ubuntu version for natty. I have
>> however noticed that a new version of python-scipy is out (0.8.0).
>>
>> Are you or any of the other python maintainers looking at packaging this
>> new version for experimental any time soon?
>
> Also including Varun on the loop, he last touched Debian package, so he
> could be more accurate than me.
>
>> Alternatively, would you be willing to work with me prepare, and
>> subsequently sponsor a package of the new version?

I tried building scipy-0.8.0 some days back to upload it to
experimental, but the build fails due to a bug in python-numpy
#596987. If somebody could help fix the bug, then I am all ready to
build and upload scipy-0.8.0 to experimental.

Thanks,
Varun




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#596987; Package python-numpy. (Tue, 26 Oct 2010 16:21:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 26 Oct 2010 16:21:18 GMT) Full text and rfc822 format available.

Message #15 received at 596987@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Varun Hiremath <varun@debian.org>, 596987@bugs.debian.org
Cc: Luca Falavigna <dktrkranz@debian.org>, Sameer Morar <smorar@gmail.com>
Subject: Re: [Python-modules-team] Bug#596987: python-scipy packaging
Date: Tue, 26 Oct 2010 18:17:25 +0200
On Tue, Oct 26, 2010 at 18:00, Varun Hiremath <varun@debian.org> wrote:
> Hi Luca and Sameer,
>
> On Tue, Oct 26, 2010 at 11:49 AM, Luca Falavigna <dktrkranz@debian.org> wrote:
>> Il 26/10/2010 12.18, Sameer Morar ha scritto:
>>> I am investigating the merging of the current version of python-scipy
>>> (0.7.2+dfsg1-1) in debian with the ubuntu version for natty. I have
>>> however noticed that a new version of python-scipy is out (0.8.0).
>>>
>>> Are you or any of the other python maintainers looking at packaging this
>>> new version for experimental any time soon?
>>
>> Also including Varun on the loop, he last touched Debian package, so he
>> could be more accurate than me.
>>
>>> Alternatively, would you be willing to work with me prepare, and
>>> subsequently sponsor a package of the new version?
>
> I tried building scipy-0.8.0 some days back to upload it to
> experimental, but the build fails due to a bug in python-numpy
> #596987. If somebody could help fix the bug, then I am all ready to
> build and upload scipy-0.8.0 to experimental.

It's on my todo list, along with numpy 1.5 in experimental, but don't
expect anything before 1 week or so.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#596987; Package python-numpy. (Wed, 24 Nov 2010 19:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Tittmann <ptittmann@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 24 Nov 2010 19:12:09 GMT) Full text and rfc822 format available.

Message #20 received at 596987@bugs.debian.org (full text, mbox):

From: Peter Tittmann <ptittmann@gmail.com>
To: 596987@bugs.debian.org
Subject: any updates?
Date: Wed, 24 Nov 2010 11:10:14 -0800
[Message part 1 (text/plain, inline)]
			I'm about to dive into a manual upgrade of numpy/scipy on Debian Squeeze 64 because I need scipy 0.8.0. Just checking to see if this might be resolved any time soon?Thanks for your efforts on this!Peter
			
		
        -- Peter Tittmann
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#596987; Package python-numpy. (Wed, 24 Nov 2010 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 24 Nov 2010 19:45:05 GMT) Full text and rfc822 format available.

Message #25 received at 596987@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Peter Tittmann <ptittmann@gmail.com>, 596987@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#596987: any updates?
Date: Wed, 24 Nov 2010 20:42:43 +0100
On Wed, Nov 24, 2010 at 20:10, Peter Tittmann <ptittmann@gmail.com> wrote:
> I'm about to dive into a manual upgrade of numpy/scipy on Debian Squeeze 64
> because I need scipy 0.8.0. Just checking to see if this might be resolved
> any time soon?

why instead you don't dedicate that time in trying to resolve this bug
in the Debian package? That would fix the problems for the other users
too.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#596987; Package python-numpy. (Wed, 24 Nov 2010 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Tittmann <ptittmann@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 24 Nov 2010 20:12:03 GMT) Full text and rfc822 format available.

Message #30 received at 596987@bugs.debian.org (full text, mbox):

From: Peter Tittmann <ptittmann@gmail.com>
To: Sandro Tosi <morph@debian.org>
Cc: 596987@bugs.debian.org
Subject: Re: Bug#596987: any updates?
Date: Wed, 24 Nov 2010 12:09:11 -0800
[Message part 1 (text/plain, inline)]
        
        Im happy to try, I've not ever attempted to work on debian packages (or linux packages in general). Could you point me to any information about process for accessing/patching packages?Peter
        
        -- Peter Tittmann
		
		
        On Wednesday, November 24, 2010 at 11:42 AM, Sandro Tosi wrote:
        
            On Wed, Nov 24, 2010 at 20:10, Peter Tittmann <ptittmann@gmail.com> wrote: I'm about to dive into a manual upgrade of numpy/scipy on Debian Squeeze 64 because I need scipy 0.8.0. Just checking to see if this might be resolved any time soon?why instead you don't dedicate that time in trying to resolve this bugin the Debian package? That would fix the problems for the other userstoo.Regards,-- Sandro Tosi (aka morph, morpheus, matrixhasu)My website: http://matrixhasu.altervista.org/Me at Debian: http://wiki.debian.org/SandroTosi
			
			
			
			
        
		
		
    

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#596987; Package python-numpy. (Tue, 14 Dec 2010 07:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Tue, 14 Dec 2010 07:36:02 GMT) Full text and rfc822 format available.

Message #35 received at 596987@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Martin Hoefling <martin.hoefling@gmx.de>, 596987@bugs.debian.org, Varun Hiremath <varun@debian.org>, Peter Tittmann <ptittmann@gmail.com>
Subject: Re: [Python-modules-team] Bug#596987: python-numpy: libnpymath.a is built but not installed.
Date: Tue, 14 Dec 2010 08:30:39 +0100
Hi all,

On Wed, Sep 15, 2010 at 19:59, Martin Hoefling <martin.hoefling@gmx.de> wrote:
> libnpymath.a is built but not installed. This prevents e.g. building of scipy 0.8.0

I've prepared a still work-in-progress package to install libnpymath.a
in python-numpy debian package. You can find it at [1]: please test it
and let me know it if works for you.

[1] http://people.debian.org/~morph/numpy/

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Added tag(s) pending. Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Wed, 22 Dec 2010 19:09:03 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Fri, 24 Dec 2010 06:06:05 GMT) Full text and rfc822 format available.

Notification sent to Martin Hoefling <martin.hoefling@gmx.de>:
Bug acknowledged by developer. (Fri, 24 Dec 2010 06:06:05 GMT) Full text and rfc822 format available.

Message #42 received at 596987-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 596987-close@bugs.debian.org
Subject: Bug#596987: fixed in python-numpy 1:1.5.1-1
Date: Fri, 24 Dec 2010 06:02:26 +0000
Source: python-numpy
Source-Version: 1:1.5.1-1

We believe that the bug you reported is fixed in the latest version of
python-numpy, which is due to be installed in the Debian FTP archive:

python-numpy-dbg_1.5.1-1_amd64.deb
  to main/p/python-numpy/python-numpy-dbg_1.5.1-1_amd64.deb
python-numpy-doc_1.5.1-1_all.deb
  to main/p/python-numpy/python-numpy-doc_1.5.1-1_all.deb
python-numpy_1.5.1-1.debian.tar.gz
  to main/p/python-numpy/python-numpy_1.5.1-1.debian.tar.gz
python-numpy_1.5.1-1.dsc
  to main/p/python-numpy/python-numpy_1.5.1-1.dsc
python-numpy_1.5.1-1_amd64.deb
  to main/p/python-numpy/python-numpy_1.5.1-1_amd64.deb
python-numpy_1.5.1.orig.tar.gz
  to main/p/python-numpy/python-numpy_1.5.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596987@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated python-numpy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 24 Dec 2010 00:14:25 +0100
Source: python-numpy
Binary: python-numpy python-numpy-dbg python-numpy-doc
Architecture: source amd64 all
Version: 1:1.5.1-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-numpy - Numerical Python adds a fast array facility to the Python languag
 python-numpy-dbg - Fast array facility to the Python language (debug extension)
 python-numpy-doc - NumPy documentation
Closes: 596987
Changes: 
 python-numpy (1:1.5.1-1) experimental; urgency=low
 .
   * New upstream release
   * debian/control
     - python-sphinx version 1.0.1 is the minimum required
     - bump Standards-Version to 3.9.1 (no changes needed)
   * debian/patches/{07_bts585309_string_exceptions.diff, changeset_*}
     - removed, available in upstream tarball
   * debian/rules
     - install libnpymath.a; thanks to Martin Hoefling for the report;
       Closes: #596987
     - updated pydist file definition
Checksums-Sha1: 
 9b0140b8882ea9542776e8b70852cb83f61087d5 1724 python-numpy_1.5.1-1.dsc
 423c6bf74f9ac00697db574ba981547991110896 2280220 python-numpy_1.5.1.orig.tar.gz
 cb589f88e91e47a754a4ba8d55dc14090c07286c 99500 python-numpy_1.5.1-1.debian.tar.gz
 7d97c30286f8a3fc4579945b7814b074f19bbdcc 2170286 python-numpy_1.5.1-1_amd64.deb
 d60f0fe3038f01b393977c64cc773b415eb33252 5086406 python-numpy-dbg_1.5.1-1_amd64.deb
 1d3897d09e1e946047ea4f4362237ae1362e5c23 4572796 python-numpy-doc_1.5.1-1_all.deb
Checksums-Sha256: 
 842ac66c44b3a57f31e75f847929d0ad66a19dd075cb0b51ae938aedcdee8142 1724 python-numpy_1.5.1-1.dsc
 c36789ec381fec09f519249744ea36a77e5534b69446a59ee73b06cac29542eb 2280220 python-numpy_1.5.1.orig.tar.gz
 3e9cafdf30ec01eb10fb13ffc31acdc8a0014a63f96acdd85ba868771aabdf59 99500 python-numpy_1.5.1-1.debian.tar.gz
 7387825d1bad0d9e1abbd160ae0d41e99b533c35cd74725c112eb70e7d835f12 2170286 python-numpy_1.5.1-1_amd64.deb
 181a97f8b368b1881793ea9fb309b9e6f68b19cb10ff7ab248a559f3375fd334 5086406 python-numpy-dbg_1.5.1-1_amd64.deb
 63c4e7d5a3e212c3538546cef373730fd68a67bc9066e41909ab27f6f285627e 4572796 python-numpy-doc_1.5.1-1_all.deb
Files: 
 99b56c3c81e0fd6c138ac2a5aa30325c 1724 python optional python-numpy_1.5.1-1.dsc
 376ef150df41b5353944ab742145352d 2280220 python optional python-numpy_1.5.1.orig.tar.gz
 16f8e0698c749f6d5ba739087acd03eb 99500 python optional python-numpy_1.5.1-1.debian.tar.gz
 8f1c4544fda652c612a464f973a1a334 2170286 python optional python-numpy_1.5.1-1_amd64.deb
 ea0fd2100829caafbe0366e5f1764f3c 5086406 debug extra python-numpy-dbg_1.5.1-1_amd64.deb
 8dcd307479d47623c98a60a04a5be0e2 4572796 doc optional python-numpy-doc_1.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0T3b4ACgkQAukwV0RN2VB72ACfceM4Ve+pgBfFwtGQ5kH0vXUk
g/QAnjgmxlZf8jdSajW+nb2XYHqsKst2
=T776
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 Jan 2011 07:36:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:06:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.